Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.analysis.differentiation
Class JacobianFunction

    java.lang.Object
      org.apache.commons.math3.analysis.differentiation.JacobianFunction

All Implemented Interfaces:
  MultivariateMatrixFunction

    public class JacobianFunction

extends Object
implements MultivariateMatrixFunction

Class representing the Jacobian of a multivariate vector function.

The rows iterate on the model functions while the columns iterate on the parameters; thus, the numbers of rows is equal to the dimension of the underlying function vector value and the number of columns is equal to the number of free parameters of the underlying function.

Since:
  3.1
Version:
  $Id: JacobianFunction.java 1416643 2012-12-03 19:37:14Z tn $

Constructor Summary
`JacobianFunction(MultivariateDifferentiableVectorFunction f)` Simple constructor.

Method Summary
`double[][]` | `value(double[] point)` Compute the value for the function at the given point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JacobianFunction

    public JacobianFunction(MultivariateDifferentiableVectorFunction f)

  Simple constructor.

  Parameters:
    `f` - underlying vector-valued function

Method Detail

### value

    public double[][] value(double[] point)
                     throws IllegalArgumentException

  Compute the value for the function at the given point.

  Specified by:
    `value` in interface `MultivariateMatrixFunction`
  Parameters:
    `point` - point at which the function must be evaluated
  Returns:
    function value for the given point
  Throws:
    `IllegalArgumentException` - if points dimension is wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.